liblinphone 3.9.1

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
_LinphoneContentPrivate Struct Reference
Miscenalleous: logs, version strings, config storage

`#include <content.h>`

## Data Fields
char * | type
char * | subtype
void * | data
size_t | size
char * | encoding
char * | name
char * | key
size_t | keyLength
void * | cryptoContext

## Detailed Description

Deprecated:
  Use LinphoneContent objects instead of this structure.

## Field Documentation

char* _LinphoneContentPrivate::type

mime type for the data, for example "application"

char* _LinphoneContentPrivate::subtype

mime subtype for the data, for example "html"

void* _LinphoneContentPrivate::data

the actual data buffer, usually a string. Null when provided by callbacks LinphoneCoreFileTransferSendCb or LinphoneCoreFileTransferRecvCb

size_t _LinphoneContentPrivate::size

the size of the data buffer, excluding null character despite null character is always set for convenience. When provided by callback LinphoneCoreFileTransferSendCb or LinphoneCoreFileTransferRecvCb, it states the total number of bytes of the transfered file

char* _LinphoneContentPrivate::encoding

The encoding of the data buffer, for example "gzip"

char* _LinphoneContentPrivate::name

used by RCS File transfer messages to store the original filename of the file to be downloaded from server

char* _LinphoneContentPrivate::key

used by RCS File transfer messages to store the key to encrypt file if needed

size_t _LinphoneContentPrivate::keyLength

Length of key in bytes

void* _LinphoneContentPrivate::cryptoContext

crypto context used to encrypt file for RCS file transfer

The documentation for this struct was generated from the following file:

- content.h